Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.util
Class JiveConstants

    java.lang.Object
      org.jivesoftware.util.JiveConstants

    public class JiveConstants

extends Object

Contains constant values representing various objects in Jive.

Field Summary
`static long` | `DAY`
`static long` | `HOUR`
`static long` | `MINUTE`
`static int` | `MUC_ROOM`
`static int` | `MUC_SERVICE`
`static int` | `OFFLINE`
`static int` | `ROSTER`
`static long` | `SECOND`
`static int` | `SECURITY_AUDIT`
`static int` | `SYSTEM`
`static long` | `WEEK`
`static String` | `XMPP_DATETIME_FORMAT` Date/time format for use by SimpleDateFormat.
`static String` | `XMPP_DELAY_DATETIME_FORMAT` Date/time format for use by SimpleDateFormat.

Constructor Summary
`JiveConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SYSTEM

    public static final int SYSTEM

See Also:
  Constant Field Values

### ROSTER

    public static final int ROSTER

See Also:
  Constant Field Values

### OFFLINE

    public static final int OFFLINE

See Also:
  Constant Field Values

### MUC_ROOM

    public static final int MUC_ROOM

See Also:
  Constant Field Values

### SECURITY_AUDIT

    public static final int SECURITY_AUDIT

See Also:
  Constant Field Values

### MUC_SERVICE

    public static final int MUC_SERVICE

See Also:
  Constant Field Values

### SECOND

    public static final long SECOND

See Also:
  Constant Field Values

### MINUTE

    public static final long MINUTE

See Also:
  Constant Field Values

### HOUR

    public static final long HOUR

See Also:
  Constant Field Values

### DAY

    public static final long DAY

See Also:
  Constant Field Values

### WEEK

    public static final long WEEK

See Also:
  Constant Field Values

### XMPP_DATETIME_FORMAT

    public static final String XMPP_DATETIME_FORMAT

  Date/time format for use by SimpleDateFormat. The format conforms to XEP-0082, which defines a unified date/time format for XMPP.

  See Also:
    Constant Field Values

### XMPP_DELAY_DATETIME_FORMAT

    public static final String XMPP_DELAY_DATETIME_FORMAT

  Date/time format for use by SimpleDateFormat. The format conforms to the format defined in XEP-0091, a specialized date format for historical XMPP usage.

  See Also:
    Constant Field Values

Constructor Detail

### JiveConstants

    public JiveConstants()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.